pcl::DecisionForest< NodeType > Class Template Reference

Class representing a decision forest. More...

`#include <pcl/ml/dt/decision_forest.h>`

Inheritance diagram for pcl::DecisionForest< NodeType >:

## Public Member Functions

| DecisionForest ()
| Constructor. More...
virtual | ~DecisionForest ()
| Destructor. More...
void | serialize (::std::ostream &stream) const
| brief Returns the number of trees in the forest. More...
void | deserialize (::std::istream &stream)
| Deserializes the decision tree. More...

## Detailed Description

### template<class NodeType>
class pcl::DecisionForest< NodeType >

Class representing a decision forest.

Definition at line 53 of file decision_forest.h.

## Constructor & Destructor Documentation

## DecisionForest()

template<class NodeType>

pcl::DecisionForest< NodeType >::DecisionForest | ( |  | ) |

inline

Constructor.

Definition at line 60 of file decision_forest.h.

## ~DecisionForest()

template<class NodeType>

virtual pcl::DecisionForest< NodeType >::~DecisionForest | ( |  | ) |

inline virtual

Destructor.

Definition at line 63 of file decision_forest.h.

## Member Function Documentation

## deserialize()

template<class NodeType>

void pcl::DecisionForest< NodeType >::deserialize | ( | ::std::istream & | stream | ) |

inline

Deserializes the decision tree.

Parameters

  [in] | stream | The source for the deserialization.

Definition at line 104 of file decision_forest.h.

## serialize()

template<class NodeType>

void pcl::DecisionForest< NodeType >::serialize | ( | ::std::ostream & | stream | ) | const

inline

brief Returns the number of trees in the forest.

Serializes the decision tree.

Parameters

  [out] | stream | The destination for the serialization.

Definition at line 81 of file decision_forest.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/ml/include/pcl/ml/dt/decision_forest.h